package com.zzsn.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zzsn.entity.Basedata;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Param;

public abstract interface BaseDataMapper extends BaseMapper<Basedata> {
    @DS("slave")
    public abstract List<Basedata> queryByCondition(Long paramLong);

    @DS("master")
    public abstract int insertList(@Param("list") List<Basedata> paramList);

    @DS("master")
    public abstract int queryByAddress(@Param("source") String paramString);

    @DS("master")
    public abstract int queryByTitle(@Param("title") String title);

    public abstract int save(@Param("item") Basedata paramBasedata);

    public abstract Basedata getContent();

    @DS("master")
    public abstract void getserialno(Map<String, String> paramMap);

}
